<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Utils\Kurstag\KurstagMedien;

use Kufer\Mail\EMail\IEMail;
use Kufer\Mail\Sender\IEMailSender;
use Kufer\Mail\Sender\Result\EMailSentResult;
use Kufer\Web\Classes\Mail\Sender\Settings\RecipientEinrichtung\IEMailEinrichtungRecipientSettings;

class ZusaetzlicheMedienMailVeranstalter extends ZusaetzlicheMedienMail
{
  private $veranstalter;

  public function __construct(int $pToolId)
  {
    parent::__construct($pToolId);
    $this->veranstalter = \SessionOperations::getCurrentWebToolsDozent();
  }

  protected function sendMail(IEMailSender $emailSender, IEMail $email, ?IEMailEinrichtungRecipientSettings $recipientSettings): EMailSentResult
  {
    return $emailSender->sendFromDozentToEinrichtung($email, $this->veranstalter, $recipientSettings);
  }

  protected function getSenderBezeichnung(): string
  {
    return 'Veranstalter';
  }
}